<!doctype html>
<html class="default no-js">
<head>
	<meta charset="utf-8">
	<meta http-equiv="X-UA-Compatible" content="IE=edge">
	<title>SceneManager | abstract-scenes</title>
	<meta name="description" content="">
	<meta name="viewport" content="width=device-width, initial-scale=1">
	<link rel="stylesheet" href="../assets/css/main.css">
</head>
<body>
<header>
	<div class="tsd-page-toolbar">
		<div class="container">
			<div class="table-wrap">
				<div class="table-cell" id="tsd-search" data-index="../assets/js/search.js" data-base="..">
					<div class="field">
						<label for="tsd-search-field" class="tsd-widget search no-caption">Search</label>
						<input id="tsd-search-field" type="text" />
					</div>
					<ul class="results">
						<li class="state loading">Preparing search index...</li>
						<li class="state failure">The search index is not available</li>
					</ul>
					<a href="../index.html" class="title">abstract-scenes</a>
				</div>
				<div class="table-cell" id="tsd-widgets">
					<div id="tsd-filter">
						<a href="#" class="tsd-widget options no-caption" data-toggle="options">Options</a>
						<div class="tsd-filter-group">
							<div class="tsd-select" id="tsd-filter-visibility">
								<span class="tsd-select-label">All</span>
								<ul class="tsd-select-list">
									<li data-value="public">Public</li>
									<li data-value="protected">Public/Protected</li>
									<li data-value="private" class="selected">All</li>
								</ul>
							</div>
							<input type="checkbox" id="tsd-filter-inherited" checked />
							<label class="tsd-widget" for="tsd-filter-inherited">Inherited</label>
							<input type="checkbox" id="tsd-filter-externals" checked />
							<label class="tsd-widget" for="tsd-filter-externals">Externals</label>
							<input type="checkbox" id="tsd-filter-only-exported" />
							<label class="tsd-widget" for="tsd-filter-only-exported">Only exported</label>
						</div>
					</div>
					<a href="#" class="tsd-widget menu no-caption" data-toggle="menu">Menu</a>
				</div>
			</div>
		</div>
	</div>
	<div class="tsd-page-title">
		<div class="container">
			<ul class="tsd-breadcrumb">
				<li>
					<a href="../globals.html">Globals</a>
				</li>
				<li>
					<a href="../modules/_scenemanager_.html">&quot;SceneManager&quot;</a>
				</li>
				<li>
					<a href="_scenemanager_.scenemanager.html">SceneManager</a>
				</li>
			</ul>
			<h1>Class SceneManager</h1>
		</div>
	</div>
</header>
<div class="container container-main">
	<div class="row">
		<div class="col-8 col-content">
			<section class="tsd-panel tsd-comment">
				<div class="tsd-comment tsd-typography">
					<div class="lead">
						<p>Provides scenes to the engine.</p>
					</div>
				</div>
			</section>
			<section class="tsd-panel tsd-hierarchy">
				<h3>Hierarchy</h3>
				<ul class="tsd-hierarchy">
					<li>
						<span class="target">SceneManager</span>
					</li>
				</ul>
			</section>
			<section class="tsd-panel-group tsd-index-group">
				<h2>Index</h2>
				<section class="tsd-panel tsd-index-panel">
					<div class="tsd-index-content">
						<section class="tsd-index-section ">
							<h3>Constructors</h3>
							<ul class="tsd-index-list">
								<li class="tsd-kind-constructor tsd-parent-kind-class"><a href="_scenemanager_.scenemanager.html#constructor" class="tsd-kind-icon">constructor</a></li>
							</ul>
						</section>
						<section class="tsd-index-section ">
							<h3>Methods</h3>
							<ul class="tsd-index-list">
								<li class="tsd-kind-method tsd-parent-kind-class"><a href="_scenemanager_.scenemanager.html#connecting" class="tsd-kind-icon">connecting</a></li>
								<li class="tsd-kind-method tsd-parent-kind-class"><a href="_scenemanager_.scenemanager.html#error" class="tsd-kind-icon">error</a></li>
								<li class="tsd-kind-method tsd-parent-kind-class"><a href="_scenemanager_.scenemanager.html#loading" class="tsd-kind-icon">loading</a></li>
								<li class="tsd-kind-method tsd-parent-kind-class"><a href="_scenemanager_.scenemanager.html#login" class="tsd-kind-icon">login</a></li>
								<li class="tsd-kind-method tsd-parent-kind-class"><a href="_scenemanager_.scenemanager.html#room" class="tsd-kind-icon">room</a></li>
								<li class="tsd-kind-method tsd-parent-kind-class"><a href="_scenemanager_.scenemanager.html#starting" class="tsd-kind-icon">starting</a></li>
							</ul>
						</section>
					</div>
				</section>
			</section>
			<section class="tsd-panel-group tsd-member-group ">
				<h2>Constructors</h2>
				<section class="tsd-panel tsd-member tsd-kind-constructor tsd-parent-kind-class">
					<a name="constructor" class="tsd-anchor"></a>
					<h3>constructor</h3>
					<ul class="tsd-signatures tsd-kind-constructor tsd-parent-kind-class">
						<li class="tsd-signature tsd-kind-icon">new <wbr>Scene<wbr>Manager<span class="tsd-signature-symbol">(</span><span class="tsd-signature-symbol">)</span><span class="tsd-signature-symbol">: </span><a href="_scenemanager_.scenemanager.html" class="tsd-signature-type">SceneManager</a></li>
					</ul>
					<ul class="tsd-descriptions">
						<li class="tsd-description">
							<aside class="tsd-sources">
								<ul>
									<li>Defined in SceneManager.ts:10</li>
								</ul>
							</aside>
							<div class="tsd-comment tsd-typography">
								<div class="lead">
									<p>Nothing should need to go here...</p>
								</div>
							</div>
							<h4 class="tsd-returns-title">Returns <a href="_scenemanager_.scenemanager.html" class="tsd-signature-type">SceneManager</a></h4>
						</li>
					</ul>
				</section>
			</section>
			<section class="tsd-panel-group tsd-member-group ">
				<h2>Methods</h2>
				<section class="tsd-panel tsd-member tsd-kind-method tsd-parent-kind-class">
					<a name="connecting" class="tsd-anchor"></a>
					<h3><span class="tsd-flag ts-flagAbstract">Abstract</span> connecting</h3>
					<ul class="tsd-signatures tsd-kind-method tsd-parent-kind-class">
						<li class="tsd-signature tsd-kind-icon">connecting<span class="tsd-signature-symbol">(</span>gameElement<span class="tsd-signature-symbol">: </span><span class="tsd-signature-type">HTMLDivElement</span><span class="tsd-signature-symbol">)</span><span class="tsd-signature-symbol">: </span><a href="_scene_templates_scenebase_.scenebase.html" class="tsd-signature-type">SceneBase</a></li>
					</ul>
					<ul class="tsd-descriptions">
						<li class="tsd-description">
							<aside class="tsd-sources">
								<ul>
									<li>Defined in SceneManager.ts:60</li>
								</ul>
							</aside>
							<div class="tsd-comment tsd-typography">
								<div class="lead">
									<p>The scene displayed when connecting to a server.</p>
								</div>
							</div>
							<h4 class="tsd-parameters-title">Parameters</h4>
							<ul class="tsd-parameters">
								<li>
									<h5>gameElement: <span class="tsd-signature-type">HTMLDivElement</span></h5>
									<div class="tsd-comment tsd-typography">
										<p>The element the game is running in.</p>
									</div>
								</li>
							</ul>
							<h4 class="tsd-returns-title">Returns <a href="_scene_templates_scenebase_.scenebase.html" class="tsd-signature-type">SceneBase</a></h4>
							<p>A room.</p>
						</li>
					</ul>
				</section>
				<section class="tsd-panel tsd-member tsd-kind-method tsd-parent-kind-class">
					<a name="error" class="tsd-anchor"></a>
					<h3><span class="tsd-flag ts-flagAbstract">Abstract</span> error</h3>
					<ul class="tsd-signatures tsd-kind-method tsd-parent-kind-class">
						<li class="tsd-signature tsd-kind-icon">error<span class="tsd-signature-symbol">(</span>gameElement<span class="tsd-signature-symbol">: </span><span class="tsd-signature-type">HTMLDivElement</span>, errorNumber<span class="tsd-signature-symbol">: </span><span class="tsd-signature-type">number</span>, errorData<span class="tsd-signature-symbol">: </span><span class="tsd-signature-type">string</span><span class="tsd-signature-symbol">[]</span><span class="tsd-signature-symbol">)</span><span class="tsd-signature-symbol">: </span><a href="_scene_templates_scenebase_.scenebase.html" class="tsd-signature-type">SceneBase</a></li>
					</ul>
					<ul class="tsd-descriptions">
						<li class="tsd-description">
							<aside class="tsd-sources">
								<ul>
									<li>Defined in SceneManager.ts:53</li>
								</ul>
							</aside>
							<div class="tsd-comment tsd-typography">
								<div class="lead">
									<p>Displays a error.</p>
								</div>
							</div>
							<h4 class="tsd-parameters-title">Parameters</h4>
							<ul class="tsd-parameters">
								<li>
									<h5>gameElement: <span class="tsd-signature-type">HTMLDivElement</span></h5>
									<div class="tsd-comment tsd-typography">
										<p>The element errors get displayed in.</p>
									</div>
								</li>
								<li>
									<h5>errorNumber: <span class="tsd-signature-type">number</span></h5>
									<div class="tsd-comment tsd-typography">
										<p>the error code, used for formatting the error data.</p>
									</div>
								</li>
								<li>
									<h5>errorData: <span class="tsd-signature-type">string</span><span class="tsd-signature-symbol">[]</span></h5>
									<div class="tsd-comment tsd-typography">
										<p>the error data</p>
									</div>
								</li>
							</ul>
							<h4 class="tsd-returns-title">Returns <a href="_scene_templates_scenebase_.scenebase.html" class="tsd-signature-type">SceneBase</a></h4>
							<p>The error to display.</p>
						</li>
					</ul>
				</section>
				<section class="tsd-panel tsd-member tsd-kind-method tsd-parent-kind-class">
					<a name="loading" class="tsd-anchor"></a>
					<h3><span class="tsd-flag ts-flagAbstract">Abstract</span> loading</h3>
					<ul class="tsd-signatures tsd-kind-method tsd-parent-kind-class">
						<li class="tsd-signature tsd-kind-icon">loading<span class="tsd-signature-symbol">(</span>loadingElement<span class="tsd-signature-symbol">: </span><span class="tsd-signature-type">HTMLDivElement</span><span class="tsd-signature-symbol">)</span><span class="tsd-signature-symbol">: </span><a href="_scene_templates_scenebase_.scenebase.html" class="tsd-signature-type">SceneBase</a></li>
					</ul>
					<ul class="tsd-descriptions">
						<li class="tsd-description">
							<aside class="tsd-sources">
								<ul>
									<li>Defined in SceneManager.ts:28</li>
								</ul>
							</aside>
							<div class="tsd-comment tsd-typography">
								<div class="lead">
									<p>Returns the loading element.</p>
								</div>
							</div>
							<h4 class="tsd-parameters-title">Parameters</h4>
							<ul class="tsd-parameters">
								<li>
									<h5>loadingElement: <span class="tsd-signature-type">HTMLDivElement</span></h5>
									<div class="tsd-comment tsd-typography">
										<p>where the loading element should be displayed.</p>
									</div>
								</li>
							</ul>
							<h4 class="tsd-returns-title">Returns <a href="_scene_templates_scenebase_.scenebase.html" class="tsd-signature-type">SceneBase</a></h4>
						</li>
					</ul>
				</section>
				<section class="tsd-panel tsd-member tsd-kind-method tsd-parent-kind-class">
					<a name="login" class="tsd-anchor"></a>
					<h3><span class="tsd-flag ts-flagAbstract">Abstract</span> login</h3>
					<ul class="tsd-signatures tsd-kind-method tsd-parent-kind-class">
						<li class="tsd-signature tsd-kind-icon">login<span class="tsd-signature-symbol">(</span>gameElement<span class="tsd-signature-symbol">: </span><span class="tsd-signature-type">HTMLDivElement</span><span class="tsd-signature-symbol">)</span><span class="tsd-signature-symbol">: </span><a href="_scene_templates_scenemenu_.scenemenu.html" class="tsd-signature-type">SceneMenu</a></li>
					</ul>
					<ul class="tsd-descriptions">
						<li class="tsd-description">
							<aside class="tsd-sources">
								<ul>
									<li>Defined in SceneManager.ts:35</li>
								</ul>
							</aside>
							<div class="tsd-comment tsd-typography">
								<div class="lead">
									<p>Returns a room for logging in &amp; connecting to servers.</p>
								</div>
							</div>
							<h4 class="tsd-parameters-title">Parameters</h4>
							<ul class="tsd-parameters">
								<li>
									<h5>gameElement: <span class="tsd-signature-type">HTMLDivElement</span></h5>
									<div class="tsd-comment tsd-typography">
										<p>The element the game is running in.</p>
									</div>
								</li>
							</ul>
							<h4 class="tsd-returns-title">Returns <a href="_scene_templates_scenemenu_.scenemenu.html" class="tsd-signature-type">SceneMenu</a></h4>
							<p>The login / connect menu scene.</p>
						</li>
					</ul>
				</section>
				<section class="tsd-panel tsd-member tsd-kind-method tsd-parent-kind-class">
					<a name="room" class="tsd-anchor"></a>
					<h3><span class="tsd-flag ts-flagAbstract">Abstract</span> room</h3>
					<ul class="tsd-signatures tsd-kind-method tsd-parent-kind-class">
						<li class="tsd-signature tsd-kind-icon">room<span class="tsd-signature-symbol">(</span>roomName<span class="tsd-signature-symbol">: </span><span class="tsd-signature-type">string</span>, gameElement<span class="tsd-signature-symbol">: </span><span class="tsd-signature-type">HTMLDivElement</span>, socket<span class="tsd-signature-symbol">: </span><span class="tsd-signature-type">Socket</span><span class="tsd-signature-symbol">)</span><span class="tsd-signature-symbol">: </span><a href="_scene_templates_room_.room.html" class="tsd-signature-type">Room</a><span class="tsd-signature-symbol"> | </span><a href="_scene_templates_minigame_.minigame.html" class="tsd-signature-type">Minigame</a></li>
					</ul>
					<ul class="tsd-descriptions">
						<li class="tsd-description">
							<aside class="tsd-sources">
								<ul>
									<li>Defined in SceneManager.ts:44</li>
								</ul>
							</aside>
							<div class="tsd-comment tsd-typography">
								<div class="lead">
									<p>Returns the room the player just moved to.</p>
								</div>
							</div>
							<h4 class="tsd-parameters-title">Parameters</h4>
							<ul class="tsd-parameters">
								<li>
									<h5>roomName: <span class="tsd-signature-type">string</span></h5>
									<div class="tsd-comment tsd-typography">
										<p>The room the player is moveing to.</p>
									</div>
								</li>
								<li>
									<h5>gameElement: <span class="tsd-signature-type">HTMLDivElement</span></h5>
									<div class="tsd-comment tsd-typography">
										<p>The element the game is running in.</p>
									</div>
								</li>
								<li>
									<h5>socket: <span class="tsd-signature-type">Socket</span></h5>
									<div class="tsd-comment tsd-typography">
										<p>The socket pointing to the server.</p>
									</div>
								</li>
							</ul>
							<h4 class="tsd-returns-title">Returns <a href="_scene_templates_room_.room.html" class="tsd-signature-type">Room</a>
								<span class="tsd-signature-symbol"> | </span>
								<a href="_scene_templates_minigame_.minigame.html" class="tsd-signature-type">Minigame</a>
							</h4>
							<p>A game room or minigame room.</p>
						</li>
					</ul>
				</section>
				<section class="tsd-panel tsd-member tsd-kind-method tsd-parent-kind-class">
					<a name="starting" class="tsd-anchor"></a>
					<h3><span class="tsd-flag ts-flagAbstract">Abstract</span> starting</h3>
					<ul class="tsd-signatures tsd-kind-method tsd-parent-kind-class">
						<li class="tsd-signature tsd-kind-icon">starting<span class="tsd-signature-symbol">(</span>gameElement<span class="tsd-signature-symbol">: </span><span class="tsd-signature-type">HTMLDivElement</span><span class="tsd-signature-symbol">)</span><span class="tsd-signature-symbol">: </span><a href="_scene_templates_starter_.starter.html" class="tsd-signature-type">Starter</a></li>
					</ul>
					<ul class="tsd-descriptions">
						<li class="tsd-description">
							<aside class="tsd-sources">
								<ul>
									<li>Defined in SceneManager.ts:21</li>
								</ul>
							</aside>
							<div class="tsd-comment tsd-typography">
								<div class="lead">
									<p>The starting room, used to check if the global server is responding or to bootstrap connections.</p>
								</div>
							</div>
							<h4 class="tsd-parameters-title">Parameters</h4>
							<ul class="tsd-parameters">
								<li>
									<h5>gameElement: <span class="tsd-signature-type">HTMLDivElement</span></h5>
									<div class="tsd-comment tsd-typography">
										<p>The element the game is running in.</p>
									</div>
								</li>
							</ul>
							<h4 class="tsd-returns-title">Returns <a href="_scene_templates_starter_.starter.html" class="tsd-signature-type">Starter</a></h4>
							<p>A scene.</p>
						</li>
					</ul>
				</section>
			</section>
		</div>
		<div class="col-4 col-menu menu-sticky-wrap menu-highlight">
			<nav class="tsd-navigation primary">
				<ul>
					<li class="globals  ">
						<a href="../globals.html"><em>Globals</em></a>
					</li>
					<li class="current tsd-kind-external-module">
						<a href="../modules/_scenemanager_.html">"<wbr>Scene<wbr>Manager"</a>
					</li>
					<li class=" tsd-kind-external-module">
						<a href="../modules/_index_.html">"index"</a>
					</li>
					<li class=" tsd-kind-external-module">
						<a href="../modules/_scene_templates_minigame_.html">"scene-<wbr>templates/<wbr>Minigame"</a>
					</li>
					<li class=" tsd-kind-external-module">
						<a href="../modules/_scene_templates_room_.html">"scene-<wbr>templates/<wbr>Room"</a>
					</li>
					<li class=" tsd-kind-external-module">
						<a href="../modules/_scene_templates_scenebase_.html">"scene-<wbr>templates/<wbr>Scene<wbr>Base"</a>
					</li>
					<li class=" tsd-kind-external-module">
						<a href="../modules/_scene_templates_scenemenu_.html">"scene-<wbr>templates/<wbr>Scene<wbr>Menu"</a>
					</li>
					<li class=" tsd-kind-external-module">
						<a href="../modules/_scene_templates_sceneonlinebase_.html">"scene-<wbr>templates/<wbr>Scene<wbr>Online<wbr>Base"</a>
					</li>
					<li class=" tsd-kind-external-module">
						<a href="../modules/_scene_templates_scenetype_.html">"scene-<wbr>templates/<wbr>Scene<wbr>Type"</a>
					</li>
					<li class=" tsd-kind-external-module">
						<a href="../modules/_scene_templates_starter_.html">"scene-<wbr>templates/<wbr>Starter"</a>
					</li>
					<li class=" tsd-kind-external-module">
						<a href="../modules/_scenetypeguard_.html">"scene<wbr>Type<wbr>Guard"</a>
					</li>
				</ul>
			</nav>
			<nav class="tsd-navigation secondary menu-sticky">
				<ul class="before-current">
				</ul>
				<ul class="current">
					<li class="current tsd-kind-class tsd-parent-kind-external-module">
						<a href="_scenemanager_.scenemanager.html" class="tsd-kind-icon">Scene<wbr>Manager</a>
						<ul>
							<li class=" tsd-kind-constructor tsd-parent-kind-class">
								<a href="_scenemanager_.scenemanager.html#constructor" class="tsd-kind-icon">constructor</a>
							</li>
							<li class=" tsd-kind-method tsd-parent-kind-class">
								<a href="_scenemanager_.scenemanager.html#connecting" class="tsd-kind-icon">connecting</a>
							</li>
							<li class=" tsd-kind-method tsd-parent-kind-class">
								<a href="_scenemanager_.scenemanager.html#error" class="tsd-kind-icon">error</a>
							</li>
							<li class=" tsd-kind-method tsd-parent-kind-class">
								<a href="_scenemanager_.scenemanager.html#loading" class="tsd-kind-icon">loading</a>
							</li>
							<li class=" tsd-kind-method tsd-parent-kind-class">
								<a href="_scenemanager_.scenemanager.html#login" class="tsd-kind-icon">login</a>
							</li>
							<li class=" tsd-kind-method tsd-parent-kind-class">
								<a href="_scenemanager_.scenemanager.html#room" class="tsd-kind-icon">room</a>
							</li>
							<li class=" tsd-kind-method tsd-parent-kind-class">
								<a href="_scenemanager_.scenemanager.html#starting" class="tsd-kind-icon">starting</a>
							</li>
						</ul>
					</li>
				</ul>
				<ul class="after-current">
				</ul>
			</nav>
		</div>
	</div>
</div>
<footer class="with-border-bottom">
	<div class="container">
		<h2>Legend</h2>
		<div class="tsd-legend-group">
			<ul class="tsd-legend">
				<li class="tsd-kind-module"><span class="tsd-kind-icon">Module</span></li>
				<li class="tsd-kind-object-literal"><span class="tsd-kind-icon">Object literal</span></li>
				<li class="tsd-kind-variable"><span class="tsd-kind-icon">Variable</span></li>
				<li class="tsd-kind-function"><span class="tsd-kind-icon">Function</span></li>
				<li class="tsd-kind-function tsd-has-type-parameter"><span class="tsd-kind-icon">Function with type parameter</span></li>
				<li class="tsd-kind-index-signature"><span class="tsd-kind-icon">Index signature</span></li>
				<li class="tsd-kind-type-alias"><span class="tsd-kind-icon">Type alias</span></li>
				<li class="tsd-kind-type-alias tsd-has-type-parameter"><span class="tsd-kind-icon">Type alias with type parameter</span></li>
			</ul>
			<ul class="tsd-legend">
				<li class="tsd-kind-enum"><span class="tsd-kind-icon">Enumeration</span></li>
				<li class="tsd-kind-enum-member"><span class="tsd-kind-icon">Enumeration member</span></li>
				<li class="tsd-kind-property tsd-parent-kind-enum"><span class="tsd-kind-icon">Property</span></li>
				<li class="tsd-kind-method tsd-parent-kind-enum"><span class="tsd-kind-icon">Method</span></li>
			</ul>
			<ul class="tsd-legend">
				<li class="tsd-kind-interface"><span class="tsd-kind-icon">Interface</span></li>
				<li class="tsd-kind-interface tsd-has-type-parameter"><span class="tsd-kind-icon">Interface with type parameter</span></li>
				<li class="tsd-kind-constructor tsd-parent-kind-interface"><span class="tsd-kind-icon">Constructor</span></li>
				<li class="tsd-kind-property tsd-parent-kind-interface"><span class="tsd-kind-icon">Property</span></li>
				<li class="tsd-kind-method tsd-parent-kind-interface"><span class="tsd-kind-icon">Method</span></li>
				<li class="tsd-kind-index-signature tsd-parent-kind-interface"><span class="tsd-kind-icon">Index signature</span></li>
			</ul>
			<ul class="tsd-legend">
				<li class="tsd-kind-class"><span class="tsd-kind-icon">Class</span></li>
				<li class="tsd-kind-class tsd-has-type-parameter"><span class="tsd-kind-icon">Class with type parameter</span></li>
				<li class="tsd-kind-constructor tsd-parent-kind-class"><span class="tsd-kind-icon">Constructor</span></li>
				<li class="tsd-kind-property tsd-parent-kind-class"><span class="tsd-kind-icon">Property</span></li>
				<li class="tsd-kind-method tsd-parent-kind-class"><span class="tsd-kind-icon">Method</span></li>
				<li class="tsd-kind-accessor tsd-parent-kind-class"><span class="tsd-kind-icon">Accessor</span></li>
				<li class="tsd-kind-index-signature tsd-parent-kind-class"><span class="tsd-kind-icon">Index signature</span></li>
			</ul>
			<ul class="tsd-legend">
				<li class="tsd-kind-constructor tsd-parent-kind-class tsd-is-inherited"><span class="tsd-kind-icon">Inherited constructor</span></li>
				<li class="tsd-kind-property tsd-parent-kind-class tsd-is-inherited"><span class="tsd-kind-icon">Inherited property</span></li>
				<li class="tsd-kind-method tsd-parent-kind-class tsd-is-inherited"><span class="tsd-kind-icon">Inherited method</span></li>
				<li class="tsd-kind-accessor tsd-parent-kind-class tsd-is-inherited"><span class="tsd-kind-icon">Inherited accessor</span></li>
			</ul>
			<ul class="tsd-legend">
				<li class="tsd-kind-property tsd-parent-kind-class tsd-is-protected"><span class="tsd-kind-icon">Protected property</span></li>
				<li class="tsd-kind-method tsd-parent-kind-class tsd-is-protected"><span class="tsd-kind-icon">Protected method</span></li>
				<li class="tsd-kind-accessor tsd-parent-kind-class tsd-is-protected"><span class="tsd-kind-icon">Protected accessor</span></li>
			</ul>
			<ul class="tsd-legend">
				<li class="tsd-kind-property tsd-parent-kind-class tsd-is-private"><span class="tsd-kind-icon">Private property</span></li>
				<li class="tsd-kind-method tsd-parent-kind-class tsd-is-private"><span class="tsd-kind-icon">Private method</span></li>
				<li class="tsd-kind-accessor tsd-parent-kind-class tsd-is-private"><span class="tsd-kind-icon">Private accessor</span></li>
			</ul>
			<ul class="tsd-legend">
				<li class="tsd-kind-property tsd-parent-kind-class tsd-is-static"><span class="tsd-kind-icon">Static property</span></li>
				<li class="tsd-kind-call-signature tsd-parent-kind-class tsd-is-static"><span class="tsd-kind-icon">Static method</span></li>
			</ul>
		</div>
	</div>
</footer>
<div class="container tsd-generator">
	<p>Generated using <a href="https://typedoc.org/" target="_blank">TypeDoc</a></p>
</div>
<div class="overlay"></div>
<script src="../assets/js/main.js"></script>
<script>if (location.protocol == 'file:') document.write('<script src="../assets/js/search.js"><' + '/script>');</script>
</body>
</html>